App\Entity\DocumentTemplate:
    type: entity
    table: document_template
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        title:
            type: string
            length: 255
            fixed: false
            nullable: false
        documentType:
            type: string
            length: 255
            fixed: false
            nullable: false
        content:
            type: text
        isActive:
            type: boolean
            nullable: false
            default: true
        updatedAt:
            type: datetime
            nullable: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: templates
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        